For the complete documentation index, see llms.txt. This page is also available as Markdown.

Package Item Attributes

Viewing all package item attributes for a package item

get

To view all attributes for a specific package item:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageItemIdstringRequired
Responses
200

Successful response

No content

get/api/v2/package/{packageId}/packageItem/{packageItemId}/attribute
GET /api/v2/package/{packageId}/packageItem/{packageItemId}/attribute HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

No content

Creating a new package item attribute

post

To create a new package item attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageItemIdstringRequired
Body
attributestringRequired
valuestringOptional
Responses
200

Successful response

No content

post/api/v2/package/{packageId}/packageItem/{packageItemId}/attribute
POST /api/v2/package/{packageId}/packageItem/{packageItemId}/attribute HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "attribute": "text",
  "value": "text"
}
200

Successful response

No content

Viewing a specific package item attribute

get

To view details for a specific package item attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageItemIdstringRequired
packageItemAttributeIdstringRequired
Responses
200

Successful response

No content

get/api/v2/package/{packageId}/packageItem/{packageItemId}/attribute/{packageItemAttributeId}
GET /api/v2/package/{packageId}/packageItem/{packageItemId}/attribute/{packageItemAttributeId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

No content

Deleting a specific package item attribute

delete

To delete a specific package item attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageItemIdstringRequired
packageItemAttributeIdstringRequired
Responses
200

Successful response

application/json
PACKAGE_ITEM_ATTRIBUTEintegerOptional
delete/api/v2/package/{packageId}/packageItem/{packageItemId}/attribute/{packageItemAttributeId}
DELETE /api/v2/package/{packageId}/packageItem/{packageItemId}/attribute/{packageItemAttributeId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "PACKAGE_ITEM_ATTRIBUTE": 1
}

Updating a specific package item attribute

patch

To update a specific package item attribute:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
packageItemIdstringRequired
packageItemAttributeIdstringRequired
Body
valuestringRequired
Responses
200

Successful response

No content

patch/api/v2/package/{packageId}/packageItem/{packageItemId}/attribute/{packageItemAttributeId}
PATCH /api/v2/package/{packageId}/packageItem/{packageItemId}/attribute/{packageItemAttributeId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "value": "text"
}
200

Successful response

No content

Last updated

Was this helpful?